Change Loyalty Program Pass Type
curl --request PUT \
--url https://api.loyalty.dog/v2/loyalty/programs/{programId}/passtype \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"passType": "<string>"
}
'import requests
url = "https://api.loyalty.dog/v2/loyalty/programs/{programId}/passtype"
payload = { "passType": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({passType: '<string>'})
};
fetch('https://api.loyalty.dog/v2/loyalty/programs/{programId}/passtype', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Loyalty
Change Loyalty Program Pass Type
Change Pass Type
Update the pass type associated with a specific loyalty program.
- programId: The unique identifier of the loyalty program.
- passType: The new pass type to be applied.
- Returns: A response indicating the success of the operation.
PUT
/
v2
/
loyalty
/
programs
/
{programId}
/
passtype
Change Loyalty Program Pass Type
Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
Response
Successful Response
⌘I
